#!/bin/bash

pydnz_source_opt="git"
#pydnz_source_opt="untar"

echo
echo "****"
echo "* pydnz_source_opt set to:"
echo "*   '$pydnz_source_opt'"
echo "****"
echo

if [ ! -d pydnz ] ; then

    if [ $pydnz_source_opt = "git" ] ; then
	git clone https://github.com/fogonwater/pydnz.git
    else
	# Assume "untar"
	echo "Untarring pydnz.tar.gz"
	tar xvzf pydnz.tar.gz
    fi
else
    if [ $pydnz_source_opt = "git" ] ; then
	echo "Already git cloned Python-based Digital NZ API repository: 'pydnz'"
    else
	# Assume "untar"
	echo "Already untarred: pydnz.tar.gz"
    fi
fi


if [ ! -d downloads ] ; then
    echo "Making directory: 'downloads'"
    mkdir downloads
else
    echo "Already created directory: 'downloads'"
fi


if [ ! -f dnzkey.txt ] ; then
    echo "Generating 'dnzkey.txt' from 'dnzkey.txt.in'"
    /bin/cp dnzkey.txt.in dnzkey.txt
    echo 
    echo "New edit:"
    echo "  dnzkey.txt"
    echo "And change <CHANGEME> to be your actual Digital NZ API key, accessed through:"   
    echo "  https://digitalnz.org/login"
    echo
else
    echo "Already generated: 'dnzkey.txt'"
    echo "=> Assuming this has been setup with a valid Digital NZ API key"
fi
